# List Custom Activity Types

GET https://api.close.com/api/v1/custom_activity/

List all custom activity types defined in the organization. The response includes all Custom Activity Types, including their Custom Field metadata.

Reference: https://developer.close.com/api/resources/custom-activity-types/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_activity/:
    get:
      operationId: list
      summary: List Custom Activity Types
      description: >-
        List all custom activity types defined in the organization. The response
        includes all Custom Activity Types, including their Custom Field
        metadata.
      tags:
        - subpackage_customActivityTypes
      parameters:
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_activity_types_list_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    custom_activity_types_list_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: custom_activity_types_list_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```